"""empty message

Revision ID: eb140b902f0e
Revises: 
Create Date: 2018-05-31 12:09:46.800047

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'eb140b902f0e'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('scheduler',
    sa.Column('id_group', sa.VARCHAR(length=50), nullable=False),
    sa.Column('range_start', sa.DATE(), nullable=True),
    sa.Column('range_end', sa.DATE(), nullable=True),
    sa.PrimaryKeyConstraint('id_group')
    )
    op.create_table('group_schedule',
    sa.Column('id_group', sa.VARCHAR(length=50), nullable=False),
    sa.Column('schedule', postgresql.TIMESTAMP(timezone=True), nullable=False),
    sa.Column('id_user', sa.VARCHAR(length=50), nullable=False),
    sa.ForeignKeyConstraint(['id_group'], ['scheduler.id_group'], ),
    sa.PrimaryKeyConstraint('id_group', 'schedule', 'id_user')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('group_schedule')
    op.drop_table('scheduler')
    # ### end Alembic commands ###
